SetUpMenuBar (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class SetUpMenuBar

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.SetUpMenuBar

public class SetUpMenuBar
extends java.lang.Object

Sets the top menu bar for Jemboss main window

Field Summary
`private javax.swing.JMenuItem` | `fileMenuShowres`
`static LocalAndRemoteFileTreeFrame` | `localAndRemoteTree`
`static SequenceList` | `seqList`
`private javax.swing.JMenuItem` | `showLocalRemoteFile`
`private ServerSetup` | `ss`

Constructor Summary
`SetUpMenuBar(JembossParams mysettings, javax.swing.JFrame f, java.lang.String[] envp, java.lang.String cwd, boolean withSoap)`

Method Summary
`void` | `deleteTmp(java.io.File cwd, java.lang.String suffix)` Delete temporary files
`static DragTree` | `getLocalDragTree()`
`static void` | `saveSequenceList()` Save the sequence list for a future session.
`void` | `setEnableFileManagers(boolean b)`
`void` | `setEnableShowResults(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seqList

    public static SequenceList seqList

### localAndRemoteTree

    public static LocalAndRemoteFileTreeFrame localAndRemoteTree

### showLocalRemoteFile

    private javax.swing.JMenuItem showLocalRemoteFile

### fileMenuShowres

    private javax.swing.JMenuItem fileMenuShowres

### ss

    private ServerSetup ss

Constructor Detail

### SetUpMenuBar

    public SetUpMenuBar(JembossParams mysettings,
                        javax.swing.JFrame f,
                        java.lang.String[] envp,
                        java.lang.String cwd,
                        boolean withSoap)

Method Detail

### setEnableFileManagers

    public void setEnableFileManagers(boolean b)

### setEnableShowResults

    public void setEnableShowResults(boolean b)

### getLocalDragTree

    public static DragTree getLocalDragTree()

### deleteTmp

    public void deleteTmp(java.io.File cwd,
                          java.lang.String suffix)

  Delete temporary files

### saveSequenceList

    public static void saveSequenceList()

  Save the sequence list for a future session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD